#ifndef __DCDC_H
#define __DCDC_H

#include <usb.h>

#include "dcdcusbconst.h"

int dcdc_send ( unsigned char *data, int size, usb_dev_handle *dev);
int dcdc_receive ( unsigned char *data, int length, int timeout, usb_dev_handle *dev);
int dcdc_get_all_values(usb_dev_handle *dev);
int dcdc_read_status (uint8_t * data, usb_dev_handle *dev);
usb_dev_handle *dcdc_open();
void dcdc_close(usb_dev_handle *dev);

#endif // __DCDC_H

